<!DOCTYPE html>
<html lange="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE-edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Blackjack Gaming Table</title>
        <link rel="stylesheet" href="./reset.css" />
        <link href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css" rel="stylesheet" />
        <script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" />
        <link rel="stylesheet" href="./shell.css" />
        <link rel="stylesheet" href="./utility.css" />
        <link rel="stylesheet" href="./table.css" />
        <link rel="stylesheet" href="/bundle.css" />
        <link rel="stylesheet" href="./bundle.css" />
    </head>
    <body>
        <header class="mdc-top-app-bar--fixed">
            <div class="mdc-top-app-bar__row">
                <section class="mdc-top-app-bar__section mdc-top-app-bar__section--align-start">
                    <span class="mdc-top-app-bar__title">BlackJack</span>
                </section>
                <nav id="navLinks" class="mdc-top-app-bar__section">
                    <a href="./index.html">
                        <button class="mdc-button">
                            <span class="mdc-button__ripple"></span>
                            <span class="mdc-button__label mdc-theme--on-primary">About</span>
                        </button>
                    </a>
                    <a href="./rules.html">
                        <button class="mdc-button">
                            <span class="mdc-button__ripple"></span>
                            <span class="mdc-button__label mdc-theme--on-primary">Rules</span>
                        </button>
                    </a>
                    <a href="./table.html">
                        <button class="mdc-button">
                            <span class="mdc-button__ripple"></span>
                            <span class="mdc-button__label mdc-theme--on-primary">Gaming Table</span>
                        </button>
                    </a>
                </nav>
                <section class="mdc-top-app-bar__section mdc-top-app-bar__section--align-end" role="toolbar">
                    <span id="loginIcon" class="material-icons">login</span>
                    <span id="menu" class="material-icons">menu</span>
                </section>
            </div>
        </header>
        <main class="mdc-top-app-bar--fixed-adjust footer--fixed-adjust mdc-layout-grid">
            <section id="dealersCards" class="mdc-layout-grid__cell--span-6 mdc-layout-grid__cell--span-8-tablet mdc-card 
                give-height flex-center space-evenly">
                <h2>The Dealer's Cards</h2>
                <ol class="flex-center space-evenly take-width">
                    <li data-blackjack-value="?">Face Down</li>
                    <li data-blackjack-value="6">Six of Clubs</li>
                </ol>
            </section>
            <section id="playersCards" class="mdc-layout-grid__cell--span-6 mdc-layout-grid__cell--span-8-tablet mdc-card 
                give-height flex-center space-evenly">
                <h2>The Player's Cards</h2>
                <ol class="flex-center space-evenly take-width">
                    <li data-blackjack-value="10">Ten of Diamonds</li>
                    <li data-blackjack-value="10">Queen of Clubs</li>
                </ol>
            </section>
            <section id="playersActions" 
            class="mdc-layout-grid__cell--span-12 mdc-card flex-center hidden">
                <h3 class="ampler-padding">Player's Actions</h3>
                <div class="flex-center space-evenly ampler-padding take-width">
                <button class="mdc-button mdc-button--raised" id="hit-button" data-user-hints="Take another card">
                    <span class="mdc-button__label">Hit</span>
                </button>
                <button class="mdc-button mdc-button--raised" id="stand-button" data-user-hints="Don't take anymore cards">
                    <span class="mdc-button__label">Stand</span>
                </button>
                <button class="mdc-button mdc-button--raised" data-user-hints="Split two cards of the same demonination into two diferent hands">
                    <span class="mdc-button__label">Split</span>
                </button>
                <button class="mdc-button mdc-button--raised" data-user-hints="When dealer shows an Ace, bet that their hand is Blackjack">
                    <span class="mdc-button__label">Insure</span>
                </button>
            </div>
            </section>
            <section id="betting" class="mdc-layout-grid__cell--span-12 mdc-card flex-center ">
                <form id="wager-form" class="ampler-padding flex-center space-evenly">
                    <span id="player-bankroll" class="ampler-padding">Bankroll: 2022</span>
                    <label class="mdc-text-field mdc-text-field--filled wager-input">
                        <span class="mdc-text-field__ripple"></span>
                        <span class="mdc-floating-label ampler-padding" id="wager-label">
                            Wager Amount
                        </span>
                        <input class="mdc-text-field__input" id="users-wager"
                        type="number" aria-labelledby="wager-label"/>
                        <span class="mdc-line-ripple"></span>
                    </label>
                    <button id="wager-button" class="mdc-button mdc-button--raised" data-user-hints="Make a bet">
                        <span class="mdc-button__label">Wager</span>
                    </button>
                </form>

            </section>
        </main>

        <footer>
            <span id="copyright"> &copy; MarginWise</span>
        </footer>
        <!-- <script src="./shell.js"></script> -->
        <script src="./table.js"></script>
    </body>
</html>